@charset "utf-8";
@import '../../_variables.sass';

.ReactTable {
  border: none;
  border-bottom: 1px solid $grey-lighter;
  margin-top: 3rem;

  .rt-thead {
    .rt-th {
      padding: 1rem;
      text-transform: uppercase;
      font-weight: $weight-semibold;
      text-align: left;
      border-right: none;
      background: $white-ter;
      border-bottom: 1px solid $grey-light;
      border-top: 1px solid $grey-light;
      &:last-of-type {
        text-align: right;
      }
    }
    &.-header {
      box-shadow: none;
    }
  }

  .rt-tbody {
    .rt-td {
      padding: 1rem;
      border-right: none;
    }
    .rt-tr-group {
      border-bottom: 1px solid $grey-lighter;
      .rt-td {
        &:first-of-type {
          font-weight: $weight-semibold;
        }
        &:last-of-type {
          text-align: right;
        }
      }
    }
  }
}
